Skip to main content
GET
/
api
/
v1
/
trades
List trades
curl --request GET \
  --url https://api.probalytics.io/api/v1/trades \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "market_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "market_platform_id": "<string>",
      "platform": "POLYMARKET",
      "platform_id": "<string>",
      "outcome": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "platform_id": "<string>",
        "name": "<string>",
        "index": 123
      },
      "amount": "<string>",
      "price": "<string>",
      "volume": "<string>",
      "fee": "<string>",
      "side": "BUY",
      "liquidity_role": "TAKER",
      "trader_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMjowMDowMFoiLCJpZCI6IjU1MGU4NDAwLWUyOWItNDFkNC1hNzE2LTQ0NjY1NTQ0MDAwMCJ9"
}

Authorizations

Authorization
string
header
required

API key authentication. Format: credential_id:credential_secret

Example: Authorization: Bearer api_brave_cosmic_falcon:sk_life_AbCdEfGh...

Query Parameters

start_time
string<date-time>

Filter trades created at or after this time (RFC3339 format)

end_time
string<date-time>

Filter trades created at or before this time (RFC3339 format)

platform
enum<string>

Filter by platform Platform identifier

Available options:
POLYMARKET,
KALSHI
side
enum<string>

Filter by trade side Side of the trade

Available options:
BUY,
SELL
market_id
string<uuid>

Filter by market ID (UUID)

trader_id
string

Filter by trader ID

limit
integer
default:100

Maximum number of results to return per page

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor from a previous response's next_cursor field. Omit this parameter to start from the beginning.

Response

Paginated list of trades

data
object[]
required

Array of trade objects

next_cursor
string

Cursor to fetch the next page of results. Pass this value as the cursor query parameter in your next request. If this field is empty or absent, there are no more results.

Example:

"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMjowMDowMFoiLCJpZCI6IjU1MGU4NDAwLWUyOWItNDFkNC1hNzE2LTQ0NjY1NTQ0MDAwMCJ9"